Bug 141069 - Usability: Toolbar icon order for KDE4
Summary: Usability: Toolbar icon order for KDE4
Status: RESOLVED FIXED
Alias: None
Product: kmail
Classification: Applications
Component: GUI (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-02-02 14:19 UTC by Celeste Lyn Paul
Modified: 2007-04-22 04:21 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Celeste Lyn Paul 2007-02-02 14:19:21 UTC
Version:            (using KDE Devel)
Installed from:    Compiled sources

Ellen and I have a recommendation based on the KDE4 HIG for the new KMail toolbar defaults in KDE4:

Main Toolbar: 
New, Print | Check Mail | Reply, Forward | Previous, Next | Trash | Spam, Ham |

Optional Tags Toolbar: 
[User-defined Tags]
Comment 1 Celeste Lyn Paul 2007-02-02 14:42:43 UTC
Additionally, I should mention that there are a few "split" buttons (drop down buttons):

[Reply |v]
[Reply All]
[Reply Mailing List]

[Forward |v]
[Forward as Attachment]

In the case of KMail being in Kontact or another suite, the New button would also be split.
Comment 2 Celeste Lyn Paul 2007-02-02 14:48:31 UTC
Ah, Check Mail is also a split button for each account also, with check all mail as default.  (Some of this may be obvious, but we want to have a record or it).
Comment 3 groot 2007-02-02 15:48:13 UTC
On Friday 02 February 2007 14:19, Celeste Lyn Paul wrote:
> Main Toolbar:
> New, Print | Check Mail | Reply, Forward | Previous, Next | Trash | Spam,
> Ham |


With the exception of "save" in between "new" and "print" and the 
spam-filtering  buttons which are not enabled by default because there is no 
default spam filtering setup, this describes exactly the default kmail 
toolbar order, so I'm not sure what you're getting at here.
Comment 4 Celeste Lyn Paul 2007-02-02 19:22:35 UTC
Disambiguation?  To prevent any new buttons to magically appear in the toolbar?  We've had a couple of suggestions on how to approach these kinds of guidelines, and one of them was submitting bugs or wishes to make sure all of the developers are aware of them.  We were planning on doing the same for the other core applications, but if this isn't effective or useful let us know.

(BTW, our recommendations also do not include Find and Help)
Comment 5 Brian DeRocher 2007-03-24 01:54:39 UTC
What do the spam and ham buttons do?  I don't see where to enable them.  Would they send feedback to an IMAP server?
Comment 6 Allen Winter 2007-04-22 04:21:56 UTC
SVN commit 656680 by winterz:

Create Mark as Spam/Ham actions.
Finish making the toolbar HIG complaint.
Scrub code (it needs a good wash behind the ears)

Still need to figure out icon names for spam and ham.
BUGS: 141069


 M  +1 -2      kmail_part.cpp  
 M  +2 -2      kmail_part.rc  
 M  +225 -187  kmmainwidget.cpp  
 M  +422 -413  kmmainwidget.h  
 M  +1 -1      kmmainwin.cpp  
 M  +2 -2      kmmainwin.rc